Loading...
Searching...
No Matches
sensors::Switch::SwitchEvent Struct Reference

SwitchEvent: new state set to switch via setState. More...

Inheritance diagram for sensors::Switch::SwitchEvent:

## Public Attributes

int | targetState
| target state as set via setState
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

SwitchEvent: new state set to switch via setState.

Definition at line 41 of file Switch.idl.

## Member Data Documentation

## targetState

int sensors::Switch::SwitchEvent::targetState

target state as set via setState

Definition at line 42 of file Switch.idl.

The documentation for this struct was generated from the following file:

- Switch.idl